import React, { Component } from "react";
import Switch from "rc-switch";
import "../assets/css/switch.css";
import SaveButton from "./SaveButton";

const { all_blocks } = EssentialBlocksAdmin;

export default class Checkbox extends Component {
  constructor(props) {
    super(props);
    this.state = {
      blocks: [],
      enabledBlocks: []
    };
  }

  componentDidMount() {
    let blocks = all_blocks;

    if (blocks.length) {
      let enabledBlocks = [...this.state.enabledBlocks];

      blocks.map(block => {
        block.visibility === "true" && enabledBlocks.push(block.value);
      });

      this.setState({ blocks, enabledBlocks });
    }
  }

  onChange = (checked, blockName) => {
    let blocks = [...this.state.blocks];

    blocks.map(
      block => block.value === blockName && (block.visibility = String(checked))
    );

    this.setState({ blocks });
  };

  render() {
    const { blocks } = this.state;

    return [
      <div className="eb-admin-checkboxes-wrapper">
        {blocks.map((block, index) => (
          <div key={index} className="eb-admin-checkbox">
            <label htmlFor={block.value} className="eb-admin-checkbox-label">
              {block.label}
              <Switch
                onChange={checked => this.onChange(checked, block.value)}
                defaultChecked={block.visibility == "true"}
                disabled={false}
                checkedChildren="ON"
                unCheckedChildren="OFF"
              />
            </label>
          </div>
        ))}
      </div>,
      <SaveButton />
    ];
  }
}
