/**
 * WordPress dependeincies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { blockAttributes } from "./attributes";
import Save from "./components/save";
import Edit from "./components/edit";
import { ButtonIcon } from "../../util/icons";

/**
 * Import styles
 */
import "./style.scss";

registerBlockType("essential-blocks/block-button", {
  title: __("EB Button"),
  icon: ButtonIcon,
  keywords: [__("button"), __("essential"), __("link")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("button")
  }
});
