const blockAttributes = {
	marginTop: {
		type: "number"
	},
	marginRight: {
		type: "number"
	},
	marginBottom: {
		type: "number"
	},
	marginLeft: {
		type: "number"
	},
	paddingTop: {
		type: "number"
	},
	paddingRight: {
		type: "number"
	},
	paddingBottom: {
		type: "number"
	},
	paddingLeft: {
		type: "number"
	},
	contentStyle: {
		type: "string",
		default: "basic"
	},
	contentAlign: {
		type: "string",
		default: "center"
	},
	backgroundType: {
		type: "string",
		default: "color"
	},
	backgroundColor: {
		type: "string"
	},
	backgroundGradient: {
		type: "string",
		default: "linear-gradient(45deg, #36D1DC , #5B86E5)"
	},
	backgroundImageURL: {
		type: "string"
	},
	backgroundImageID: {
		type: "string"
	},
	icon: {
		type: "string",
		source: "attribute",
		selector: ".eb-cia-wrapper",
		attribute: "data-icon",
		default: "fas fa-glass-martini"
	},
	iconSize: {
		type: "number"
	},
	iconColor: {
		type: "string"
	},
	title: {
		type: "string",
		selector: ".eb-cia-title",
		default: "Title Text"
	},
	titleTag: {
		type: "string",
		default: "h3"
	},
	titleFontSize: {
		type: "number"
	},
	titleColor: {
		type: "string"
	},
	description: {
		type: "string",
		selector: ".eb-cia-description",
		default:
			"Add a strong one liner supporting the heading above and giving users a reason to click on the button below."
	},
	descriptionFontSize: {
		type: "number"
	},
	descriptionColor: {
		type: "string"
	},
	buttonText: {
		type: "string",
		souce: "html",
		selector: ".eb-cia-button",
		default: "Read More"
	},
	buttonURL: {
		type: "string"
	},
	buttonSize: {
		type: "string",
		default: "large"
	},
	buttonTextSize: {
		type: "number"
	},
	buttonBackgroundColor: {
		type: "string"
	},
	buttonTextColor: {
		type: "string"
	},
	buttonPaddingTop: {
		type: "number",
		default: 5
	},
	buttonPaddingRight: {
		type: "number",
		default: 10
	},
	buttonPaddingBottom: {
		type: "number",
		default: 5
	},
	buttonPaddingLeft: {
		type: "number",
		default: 10
	},
	buttonBorderRadius: {
		type: "number"
	},
	shadowColor: {
		type: "string"
	},
	hOffset: {
		type: "number"
	},
	vOffset: {
		type: "number"
	},
	blur: {
		type: "number"
	},
	spread: {
		type: "number"
	},
	paddingUnit: {
		type: "string",
		default: "px"
	},
	marginUnit: {
		type: "string",
		default: "px"
	},
	titleSizeUnit: {
		type: "string",
		default: "px"
	},
	descriptionSizeUnit: {
		type: "string",
		default: "px"
	},
	buttonSizeUnit: {
		type: "string",
		default: "px"
	},
	buttonRadiusUnit: {
		type: "string",
		default: "px"
	},
	iconSizeUnit: {
		type: "string",
		default: "px"
	}
};

export { blockAttributes };
