/**
 * WordPress dependeincies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { CallToActionIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";
/**
 * Import styles
 */
import "./style.scss";


registerBlockType("essential-blocks/block-call-to-action", {
  title: __("EB Call To Action"),
  icon: CallToActionIcon,
  keywords: [__("call to action"), __("cta"), __("essential")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("call_to_action")
  }
});
