/**
 * WordPress depencencies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { CountdownIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";
import "./style.scss";

registerBlockType("essential-blocks/block-countdown", {
  title: __("EB Countdown"),
  icon: CountdownIcon,
  keywords: [__("countdown"), __("counter"), __("essential")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("countdown")
  }
});
