const blockAttributes = {
	flipboxStyle: {
		type: "string",
		default: "default"
	},
	boxHeight: {
		type: "number"
	},
	boxWidth: {
		type: "number"
	},
	isHover: {
		type: "boolean",
		default: false
	},
	flipType: {
		type: "string",
		source: "attribute",
		selector: ".flip-container",
		attribute: "data-flip-type",
		default: "flip-left"
	},
	selectedSide: {
		type: "string",
		default: "front"
	},
	frontIconOrImage: {
		type: "string",
		default: "none"
	},
	frontIcon: {
		type: "attribute",
		selector: "flipbox-icon-wrapper-front",
		attribute: "data-icon",
		default: "fas fa-leaf"
	},
	frontImageUrl: {
		type: "attribute",
		selector: "front-image-container img",
		attribute: "src"
	},
	frontImageId: {
		type: "string",
		default: null
	},
	backIconOrImage: {
		type: "string",
		default: "none"
	},
	backIcon: {
		type: "attribute",
		selector: "flipbox-icon-wrapper-back",
		attribute: "data-icon",
		default: "fas fa-bullseye"
	},
	backImageUrl: {
		type: "attribute",
		selector: "back-image-container img",
		attribute: "src"
	},
	backImageId: {
		type: "string",
		default: null
	},
	frontTitle: {
		type: "string",
		selector: "front-title",
		default: "Front Title Here"
	},
	frontContent: {
		type: "string",
		selector: "front-content",
		default: "Front Content Here"
	},
	backTitle: {
		type: "string",
		selector: "back-title",
		default: "Back Title Here"
	},
	backContent: {
		type: "string",
		selector: "back-content",
		default: "Back Content Here"
	},
	frontImageSize: {
		type: "number",
		default: 100
	},
	backImageSize: {
		type: "number",
		default: 100
	},
	frontBackground: {
		type: "string"
	},
	backBackground: {
		type: "string"
	},
	borderStyle: {
		type: "string",
		default: "solid"
	},
	borderColor: {
		type: "string"
	},
	borderWidth: {
		type: "number"
	},
	borderRadius: {
		type: "number"
	},
	addLink: {
		type: "boolean",
		default: false
	},
	linkType: {
		type: "string",
		default: "box"
	},
	buttonText: {
		type: "string",
		default: "Click Here"
	},
	buttonIcon: {
		type: "string"
	},
	buttonIconPos: {
		type: "string",
		default: "before"
	},
	link: {
		type: "string"
	},
	frontTitleColor: {
		type: "string"
	},
	backTitleColor: {
		type: "string"
	},
	frontContentColor: {
		type: "string"
	},
	backContentColor: {
		type: "string"
	},
	frontImageRadius: {
		type: "number"
	},
	backImageRadius: {
		type: "number"
	},
	frontIconSize: {
		type: "number"
	},
	backIconSize: {
		type: "number"
	},
	frontIconColor: {
		type: "string"
	},
	boxShadowColor: {
		type: "string"
	},
	shadowVOffset: {
		type: "number"
	},
	shadowHOffset: {
		type: "number"
	},
	shadowBlur: {
		type: "number"
	},
	shadowSpread: {
		type: "number"
	},
	buttonStyle: {
		type: "string",
		defautl: "styleOne"
	},
	buttonClasses: {
		type: "string",
		default: ""
	},
	buttonBackground: {
		type: "string"
	},
	buttonColor: {
		type: "string"
	},
	buttonSize: {
		type: "number"
	},
	buttonBorderSize: {
		type: "number"
	},
	buttonBorderColor: {
		type: "string"
	},
	buttonBorderType: {
		type: "string",
		default: "solid"
	},
	buttonBorderRadius: {
		type: "number"
	},
	linkedButtonPadding: {
		type: "boolean",
		default: true
	},
	buttonPaddingTop: {
		type: "number",
		default: 0
	},
	buttonPaddingRight: {
		type: "number",
		default: 0
	},
	buttonPaddingBottom: {
		type: "number",
		default: 0
	},
	buttonPaddingLeft: {
		type: "number",
		default: 0
	},
	btnShadowColor: {
		type: "string"
	},
	btnShadowVOffset: {
		type: "number"
	},
	btnShadowHOffset: {
		type: "number"
	},
	btnShadowBlur: {
		type: "number"
	},
	btnShadowSpread: {
		type: "number"
	},
	frontIconBackground: {
		type: "string"
	},
	frontIconPadding: {
		type: "number"
	},
	frontIconBorderRadius: {
		type: "number"
	},
	frontIconTopMargin: {
		type: "number"
	},
	frontIconBorderSize: {
		type: "number"
	},
	frontIconBorderType: {
		type: "string",
		default: "solid"
	},
	frontIconBorderColor: {
		type: "string"
	},
	displayFrontIconBorder: {
		type: "boolean",
		default: false
	},
	backIconBackground: {
		type: "string"
	},
	backIconPadding: {
		type: "number"
	},
	backIconBorderRadius: {
		type: "number"
	},
	backIconTopMargin: {
		type: "number"
	},
	backIconBorderSize: {
		type: "number"
	},
	backIconBorderType: {
		type: "string",
		default: "solid"
	},
	backIconBorderColor: {
		type: "string"
	},
	displayBackIconBorder: {
		type: "boolean",
		default: false
	},
	frontBackgroundType: {
		type: "string",
		default: "fill"
	},
	frontBackgroundGradient: {
		type: "string",
		default: "linear-gradient(45deg, #11998e, #38ef7d)"
	},
	backBackgroundType: {
		type: "string",
		default: "fill"
	},
	backBackgroundGradient: {
		type: "string",
		default: "linear-gradient(45deg, #f12711, #f5af19)"
	},
	transitionSpeed: {
		type: "number"
	},
	frontBackgroundImageID: {
		type: "number"
	},
	frontBackgroundImageURL: {
		type: "string"
	},
	frontBackgroundSize: {
		type: "string",
		default: "auto"
	},
	backBackgroundImageID: {
		type: "number"
	},
	backBackgroundImageURL: {
		type: "string"
	},
	backBackgroundSize: {
		type: "string",
		default: "auto"
	},
	displayButtonIcon: {
		type: "boolean",
		default: false
	},
	titleFontSize: {
		type: "number"
	},
	contentFontSize: {
		type: "number"
	},
	linkedContainerMargin: {
		type: "boolean",
		default: true
	},
	containerMarginTop: {
		type: "number",
		default: 0
	},
	containerMarginRight: {
		type: "number",
		default: 0
	},
	containerMarginBottom: {
		type: "number",
		default: 0
	},
	containerMarginLeft: {
		type: "number",
		default: 0
	},
	linkedContainerPadding: {
		type: "boolean",
		default: true
	},
	containerPaddingTop: {
		type: "number",
		default: 0
	},
	containerPaddingRight: {
		type: "number",
		default: 0
	},
	containerPaddingBottom: {
		type: "number",
		default: 0
	},
	containerPaddingLeft: {
		type: "number",
		default: 0
	},
	align: {
		type: "string",
		default: "center"
	},
	marginUnit: {
		type: "string",
		default: "px"
	},
	paddingUnit: {
		type: "string",
		default: "px"
	},
	radiusUnit: {
		type: "string",
		default: "px"
	},
	buttonPaddingUnit: {
		type: "string",
		default: "px"
	},
	buttonSizeUnit: {
		type: "string",
		default: "px"
	},
	heightUnit: {
		type: "string",
		default: "px"
	},
	widthUnit: {
		type: "string",
		default: "px"
	}
};

export { blockAttributes };
