/**
 * WordPress dependencies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/*
 * Internal dependencies
 */
import { FlipboxIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";
import "./style.scss";

registerBlockType("essential-blocks/block-flipbox", {
  title: __("EB Flipbox"),
  icon: FlipboxIcon,
  keywords: [__("flipbox"), __("essential"), __("box")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("flipbox")
  }
});
