/**
 * WordPress dependencies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { ImageComparisonIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";
import "./style.scss";

registerBlockType("essential-blocks/image-comparison", {
  title: __("EB Image Comparison"),
  icon: ImageComparisonIcon,
  keywords: [__("image"), __("compare"), __("essential")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("image_comparison")
  }
});
