/**
 * WordPress dependencies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { InfoboxIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";

/**
 * Import styles
 */
import "./style.scss";

registerBlockType("essential-blocks/block-infobox", {
  title: __("EB Infobox"),
  icon: InfoboxIcon,
  keywords: [__("info"), __("box"), __("essential")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("infobox")
  }
});
