const blockAttributes = {
	header: {
		type: "string",
		source: "text",
		selector: "h2",
		default: "Header"
	},
	content: {
		type: "string",
		source: "text",
		selector: ".eb-interactive-promo-content",
		default: "Content Text"
	},
	effectName: {
		type: "string",
		selector: ".eb-interactive-promo-container",
		source: "attribute",
		attribute: "data-effect",
		default: "apollo"
	},
	imageURL: {
		type: "string",
		selector: "img",
		source: "attribute",
		attribute: "src",
		default:
			"https://essential-addons.com/elementor/wp-content/uploads/2017/01/promo3-1.jpeg"
	},
	imageHeight: {
		type: "number"
	},
	imageWidth: {
		type: "number"
	},
	imageAltTag: {
		type: "string",
		selector: "img",
		source: "attribute",
		attribute: "alt",
		default: "image"
	},
	newWindow: {
		type: "boolean",
		default: false
	},
	headerColor: {
		type: "string"
	},
	contentColor: {
		type: "string"
	},
	contentFontSize: {
		type: "number"
	},
	linkedBorderWidth: {
		type: "boolean",
		default: true
	},
	borderTop: {
		type: "number",
		default: 0
	},
	borderRight: {
		type: "number"
	},
	borderBottom: {
		type: "number",
		default: 0
	},
	borderLeft: {
		type: "number",
		default: 0
	},
	borderStyle: {
		default: "none"
	},
	borderColor: {
		type: "string"
	},
	borderRadius: {
		type: "number",
		default: 0
	},
	shadowColor: {
		type: "string"
	},
	hOffset: {
		type: "number"
	},
	vOffset: {
		type: "number"
	},
	shadowBlur: {
		type: "number"
	},
	shadowSpread: {
		type: "number"
	},
	link: {
		type: "string"
	},
	radiusUnit: {
		type: "string",
		default: "px"
	}
};

export { blockAttributes };
