/**
 * WordPress dependeincies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { InteractivePromoIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";
/**
 * Import styles
 */
import "./style.scss";

registerBlockType("essential-blocks/block-interactive-promo", {
  title: __("EB Interactive Promo"),
  icon: InteractivePromoIcon,
  keywords: [__("promo"), __("message"), __("essential")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("interactive_promo")
  }
});
