/**
 * WordPress dependeincies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { blockAttributes } from "./attributes";
import Save from "./components/save";
import Edit from "./components/edit";
import { NoticeIcon } from "../../util/icons";

/**
 * Import styles
 */
import "./style.scss";

registerBlockType("essential-blocks/block-notice", {
  title: __("EB Notice"),
  icon: NoticeIcon,
  keywords: [__("notice"), __("message"), __("alert")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("notice")
  }
});
