const blockAttributes = {
	priceboxBackground: {
		type: "string"
	},
	title: {
		type: "string",
		source: "text",
		selector: ".eb-pricebox-title",
		default: "Startup"
	},
	titleTag: {
		type: "string",
		default: "h3"
	},
	displaySubtitle: {
		type: "boolean",
		default: false
	},
	subtitle: {
		type: "string",
		source: "text",
		selector: ".eb-pricebox-subtitle",
		default: "Free for 30 days"
	},
	titleBackgroundColor: {
		type: "string"
	},
	titleTextColor: {
		type: "string"
	},
	dollarIcon: {
		type: "string",
		default: "fas fa-dollar-sign"
	},
	dollarIconSize: {
		type: "number"
	},
	dollarColor: {
		type: "string"
	},
	price: {
		type: "string",
		source: "text",
		selector: ".eb-pricebox-price",
		default: "99"
	},
	priceValueSize: {
		type: "number"
	},
	displayPriceDetails: {
		type: "boolean",
		default: false
	},
	priceDetails: {
		type: "string",
		source: "text",
		selector: ".eb-pricebox-price-details"
	},
	priceBackgroundColor: {
		type: "string"
	},
	priceTextColor: {
		type: "string"
	},
	features: {
		type: "string",
		source: "html",
		selector: "ul",
		multiline: "li",
		default:
			" <li> Unlimited Calls </li> <li> Free Hosting </li> <li>500MB of Storage</li> <li>24/7 Support </li> "
	},
	featuresBackgroundColor: {
		type: "string"
	},
	featuresTextColor: {
		type: "string"
	},
	buttonText: {
		type: "string",
		default: "Choose Plan"
	},
	buttonSize: {
		type: "string"
	},
	buttonFontSize: {
		type: "number"
	},
	buttonBackground: {
		type: "string"
	},
	buttonTextColor: {
		type: "string"
	},
	hoverBackgroundColor: {
		type: "string"
	},
	hoverTextColor: {
		type: "string"
	},
	buttonURL: {
		type: "string"
	},
	featureFontSize: {
		type: "number"
	},
	shadowColor: {
		type: "string"
	},
	shadowHOffset: {
		type: "number"
	},
	shadowVOffset: {
		type: "number"
	},
	shadowSpread: {
		type: "number"
	},
	shadowBlur: {
		type: "number"
	},
	borderWidth: {
		type: "number"
	},
	borderStyle: {
		type: "string",
		default: "solid"
	},
	borderColor: {
		type: "string"
	},
	linkedMargin: {
		type: "boolean",
		default: false
	},
	marginTop: {
		type: "number"
	},
	marginRight: {
		type: "number"
	},
	marginBottom: {
		type: "number"
	},
	marginLeft: {
		type: "number"
	},
	linkedPadding: {
		type: "boolean",
		default: false
	},
	paddingTop: {
		type: "number"
	},
	paddingRight: {
		type: "number"
	},
	paddingBottom: {
		type: "number"
	},
	paddingLeft: {
		type: "number"
	},
	isHover: {
		type: "boolean",
		default: false
	},
	marginUnit: {
		type: "string",
		default: "px"
	},
	paddingUnit: {
		type: "string",
		default: "px"
	},
	iconSizeUnit: {
		type: "string",
		default: "px"
	},
	priceSizeUnit: {
		type: "string",
		default: "px"
	},
	featureSizeUnit: {
		type: "string",
		default: "px"
	},
	buttonSizeUnit: {
		type: "string",
		default: "px"
	},
	buttonHeight: {
		type: "number"
	},
	buttonHeightUnit: {
		type: "string",
		default: "px"
	},
	buttonWidth: {
		type: "number"
	},
	buttonWidthUnit: {
		type: "string",
		default: "px"
	},
	buttonBorderStyle: {
		type: "string",
		default: "solid"
	},
	buttonBorderWidth: {
		type: "number"
	},
	buttonBorderColor: {
		type: "string"
	},
	hoverBorderColor: {
		type: "string"
	},
	buttonBorderRadius: {
		type: "number"
	},
	buttonBorderRadiusUnit: {
		type: "string",
		default: "px"
	}
};

export { blockAttributes };
