/**
 * WordPress dependeincies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { blockAttributes } from "./attributes";
import Save from "./components/save";
import Edit from "./components/edit";
import { PricingTableIcon } from "../../util/icons";

/**
 * Import styles
 */
import "./style.scss";

registerBlockType("essential-blocks/block-pricing-table", {
  title: __("EB Pricing Table"),
  icon: PricingTableIcon,
  keywords: [__("comparison"), __("price"), __("essentail")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("pricing_table")
  }
});