/**
 * WordPress dependeincies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { ProgressbarIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";
/**
 * Import styles
 */
import "./style.scss";

registerBlockType("essential-blocks/block-progress-bar", {
  title: __("EB Progress Bar"),
  icon: ProgressbarIcon,
  keywords: [__("progress"), __("bar"), __("essential")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("progress_bar")
  }
});
