/**
 * WordPress dependencies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { SocialIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";

/**
 * Import styles
 */
import "./style.scss";

registerBlockType("gutenberg-essential/block-social", {
  title: __("EB Social"),
  icon: SocialIcon,
  keywords: [__("social"), __("share"), __("essential")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("social")
  }
});
