/**
 * Internal dependencies
 */
import { TeamMembersIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./components/edit";
import Save from "./components/save";

/**
 * Import styles
 */
import "./style.scss";

/**
 * WordPress dependencies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

registerBlockType("gutenberg-essential/block-team-member", {
  title: __("EB Team Members"),
  icon: TeamMembersIcon,
  keywords: [__("team"), __("member"), __("essential")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("team_member")
  }
});
