/**
 * WordPress dependencies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { TestimonialIcon } from "../../util/icons";
import { blockAttributes } from "./attributes";
import Edit from "./component/edit";
import Save from "./component/save";
import "./style.scss";

registerBlockType("gutenberg-essential/block-testimonial", {
  title: __("EB Testimonial"),
  icon: TestimonialIcon,
  keywords: [__("testimonial"), __("about"), __("quote")],
  category: "essential-blocks",
  attributes: blockAttributes,
  edit: Edit,
  save: Save,
  supports: {
    inserter: enabled_blocks.includes("testimonial")
  }
});
