/**
 * WordPress dependeincies
 */
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;
const { enabled_blocks } = EssentialBlocks;

/**
 * Internal dependencies
 */
import { blockAttributes } from "./attributes";
import Save from "./components/save";
import Edit from "./components/edit";
import { WrapperIcon } from "../../util/icons";

/**
 * Import styles
 */
import "./style.scss";

registerBlockType("essential-blocks/block-wrapper", {
	title: __("EB Block Wrapper"),
	icon: WrapperIcon,
	keywords: [__("wrapper"), __("essential"), __("container")],
	category: "essential-blocks",
	attributes: blockAttributes,
	edit: Edit,
	save: Save,
	supports: {
		inserter: enabled_blocks.includes("wrapper"),
		align: ["left", "right", "wide", "full"]
	}
});
